Draft Clone

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Clone and the translation is 9% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft PointArray.svg Point Array
Next: Drawing Draft Drawing.svg Arrow-right.svg

Draft Clone.svg {{{Name/es}}}

Ubicación en el Menú
Boceto → Clonar
Entornos de trabajo
Boceto, Arquitectura
Atajo de teclado por defecto
None
Introducido en versión
-
Ver también
None


Descripción

Esta herramienta crea un clon (una copia que está paramétricamente vinculada al objeto original) de un objeto seleccionado. Si el objeto original cambia, el clon también cambia, pero mantiene su posición, rotación y escala.

The Clone tool can be used on 2D shapes created with the Draft Workbench, but can also be used on many types of 3D objects such as those created with the Part, PartDesign, or Arch Workbenches.

To create simple copies, that are completely independent from an original object, use Draft Move, Draft Rotate, and Draft Scale. To position copies in an orthogonal array use Draft Array; to position copies along a path use Draft PathArray; to position copies at specified points use Draft PointArray.

Draft Clone example.jpg

Draft Clone example.jpg

Utilización

  1. Selecciona los objetos que quieres clonar
  2. Presiona el botón Draft Clone.png Clonar

Depending on its options, the Draft Scale.svg Draft Scale tool also creates a clone at a specified scale.

Clones of 2D objects created with the Draft or Sketcher Workbenches will also be 2D objects, and therefore can be used as such for the PartDesign Workbench.

All Arch Workbench objects have the possibility to behave as clones by using their DATACloneOf property. If you use the Draft Clone tool on a selected Arch object, you will produce such an Arch clone instead of a regular Draft clone.

Limitations

Currently, Sketcher Sketches cannot be mapped to the faces of a clone.

Options

There are no options for this tool. Either it works with the selected objects or not.

Propiedades

  • DATAScale: Especifica un factor de escala para el clon
  • El resultado de la herramienta Escalar también es un clon

Archivos de guión

La herramienta Clonar se puede utilizar en macros y desde la consola de Python utilizando la siguiente función:

The Clone tool can be used in macros and from the Python console by using the following function:

cloned_object = clone(obj, delta=None, forcedraft=False)
  • Crea un clon de un o más objetos dados.
  • El clon es una copia exacta vinculada al objeto dado.
  • Si el objeto original cambia, el objeto final también cambia. Opcionalmente, puedes indicar un vector delta para mover el clon desde su posición original.

The fusion of the objects that are part of the clone can be achieved by setting its Fuse attribute to True.

Ejemplo:

import FreeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

obj = [Polygon1, Polygon2]
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)

cloned_object.Fuse = True
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Previous: Draft PointArray.svg Point Array
Next: Drawing Draft Drawing.svg Arrow-right.svg